package fr.ensicaen.ecole.easygame;

import fr.ensicaen.ecole.easygame.state.Player;

/**
 * Implements the method used for writing an artificial intelligence.
 */
public interface AILogic {

	/**
	 * Function executed when it's time for the AI to play.
	 *
	 * @param game The game being played.
	 * @param player The AI player currently playing.
	 */
	void think(Game game, Player player);
}
