package fr.ensicaen.ecole.easygame.events;

/**
 * Event triggered by a mouse click on the game board.
 */
public final class MouseClickEvent {

	private int _x;
	private int _y;

	public MouseClickEvent(int x, int y) {
		_x = x;
		_y = y;
	}

	/**
	 * @return x-coordinate of the click on the board.
	 */
	public int getX() {
		return _x;
	}

	/**
	 * @return y-coordinate of the click on the board.
	 */
	public int getY() {
		return _y;
	}
}