package fr.ensicaen.ecole.easygame.messaging;

import javax.swing.JFrame;

/**
 * Signals that the game has ended.
 */
public final class EndGameMessage implements Message {

	/**
	 * The window containing the game.
	 * Can be used to open a DialogEndGame.
	 */
	public final JFrame window;

	public EndGameMessage(JFrame w) {
		this.window = w;
	}
}
