package fr.ensicaen.ecole.easygame.messaging;

import java.util.List;

import fr.ensicaen.ecole.easygame.ServerClient;

/**
 * Signals that the list of clients has to be prepared.
 */
public final class PrepareMessage implements Message {

	private List<ServerClient> _clients;

	public PrepareMessage(List<ServerClient> l) {
		_clients = l;
	}

	/**
	 * @return The list of connected clients.
	 */
	public List<ServerClient> getClients() {
		return _clients;
	}
}
