package fr.ensicaen.ecole.easygame.utils;

import java.util.Random;

public final class NicknameGenerator {

	private NicknameGenerator() {
	}

	private static Random _rand = new Random();

	private static String pick(String[] possibles) {
		return possibles[_rand.nextInt(possibles.length)];
	}

	private static String c() {
		String[] possibles = {"b", "c", "d", "f", "g", "h", "j", "k", "l", "m", "n", "p", "r", "s", "t", "v", "w"};
		return pick(possibles);
	}

	private static String v() {
		String[] possibles = {"a", "i", "e", "o", "u"};
		return pick(possibles);
	}

	private static String ending() {
		String[] possibles = {"bois", "reid", "street", "son", "th", "ton", "field", "man", "ger", "nano", "-san",
				"lier", "nouz", "na", "rla", "ma", "kist", "will", "gan", "sart", "stack", "tiz", "gman"};
		return pick(possibles);
	}

	public static String generate() {
		return c().toUpperCase() + v() + c() + ending();
	}

	public static void main(String[] args) {
		for (int i = 0; i < 50; i++) {
			System.out.println(generate());
		}
	}
}
