package fr.ensicaen.ecole.guerredesmoutons;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JPanel;

import fr.ensicaen.ecole.easygame.Game;
import fr.ensicaen.ecole.easygame.plugin.Plugin;
import fr.ensicaen.ecole.easygame.state.Inventory;

class FlipPlugin extends Plugin {

	FlipPlugin(Game game) {
		super(game);
	}

	@Override
	public JPanel buildUI() {
		JPanel panel = new JPanel();
		JButton button = new JButton("Retourner la carte");

		button.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent e) {
				Inventory inv = getGame().getGameState().getCurrentPlayer().getInventory();

				if (inv.isCurrentlyDisplayed()) {
					GuerreMoutonsCard c = (GuerreMoutonsCard) inv.getSelectedEntity();

					if (c != null) {
						c.flip();
						inv.updateView();
					}
				}
			}
		});

		panel.add(button);

		return panel;
	}
}
