package fr.ensicaen.ecole.guerredesmoutons;

import fr.ensicaen.ecole.easygame.state.AscendingPlayerOrder;
import fr.ensicaen.ecole.easygame.state.GameState;
import fr.ensicaen.ecole.easygame.state.Player;
import fr.ensicaen.ecole.easygame.state.PlayerOrder;

class GuerreMoutonsPlayerOrder implements PlayerOrder {

	private static final long serialVersionUID = 1L;

	private PlayerOrder _order = new AscendingPlayerOrder();

	@Override
	public Player getNextPlayer(GameState gs, Player current) {
		GuerreMoutonsPlayer p = (GuerreMoutonsPlayer) _order.getNextPlayer(gs, current);

		while (p.hasLeft() && p != current) {
			p = (GuerreMoutonsPlayer) _order.getNextPlayer(gs, p);
		}

		return p;
	}
}
