package fr.ensicaen.ecole.uno;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JPanel;

import fr.ensicaen.ecole.easygame.Game;
import fr.ensicaen.ecole.easygame.plugin.Plugin;

final class PassPlugin extends Plugin {

	public PassPlugin(Game game) {
		super(game);
	}

	@Override
	public JPanel buildUI() {
		JPanel panel = new JPanel();
		JButton button = new JButton("Passer son tour");

		button.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent e) {
				UnoGameState gs = (UnoGameState) getGame().getGameState();
				if (gs.getCurrentPlayer().getId() == getGame().getLocalPlayerId()) {
					gs.getCurrentPlayer().getInventory().addEntity(gs.drawCardFromDeck());
					getGame().endTurn();
				}
			}
		});

		panel.add(button);
		return panel;
	}
}
