package net.kidanger.yourchess.yourchess.coup;

import net.kidanger.yourchess.yourchess.Couleur;
import net.kidanger.yourchess.yourchess.Echiquier;

public class CoupParser {

	/**
	 * Test successivement le "parse" sur les différents coups. Renvoie le coup correspondant.
	 */
	public static Coup parseComplet(Echiquier e, Couleur c, String str) {
		Coup coup = null;
		coup = Deplacement.parseNotationComplete(e, c, str);
		if (coup == null) {
			coup = Roque.parseNotationComplete(e, c, str);
		}
		if (coup == null) {
			coup = PriseEnPassant.parseNotationComplete(e, c, str);
		}
		if (coup == null) {
			coup = Promotion.parseNotationComplete(e, str);
		}
		return coup;
	}
}
