package net.kidanger.yourchess.yourchess.ordinateur;

import java.util.List;

import net.kidanger.yourchess.yourchess.Couleur;
import net.kidanger.yourchess.yourchess.Partie;
import net.kidanger.yourchess.yourchess.piece.Piece;

public class EvaluateurCoefficient extends Evaluateur {

	public EvaluateurCoefficient() {
	}

	public EvaluateurCoefficient(Evaluateur e) {
		super(e);
	}

	public int evalue(Partie partie, Couleur c) {
		int points = 0;
		List<Piece> liste;

		liste = partie.getEchiquier().getPieces(c);
		for (Piece p : liste) {
			points += p.getPoints();
		}

		liste = partie.getEchiquier().getPieces(c.other());
		for (Piece p : liste) {
			points -= p.getPoints();
		}

		return points + parentEvalue(partie, c);
	}

	protected String getNom() {
		return "Coef";
	}
}
