package net.kidanger.yourchess.yourchess.ordinateur;

import java.util.Collections;
import java.util.List;

import net.kidanger.yourchess.yourchess.Couleur;
import net.kidanger.yourchess.yourchess.coup.Coup;

public class OrdinateurAleatoire extends Ordinateur {

	public OrdinateurAleatoire(Couleur couleur) {
		super("Aléatoire", couleur);
	}

	public Coup jouerCoup() {
		List<Coup> liste = partie.listeDesCoupsJouable(this);
		Collections.shuffle(liste);

		Coup c = null;
		if (liste.size() > 0) {
			c = liste.get(0);
		}
		System.out.println("[aléa] Ordinateur : " + c);
		return c;
	}

	public String getNom() {
		return "Débilus";
	}
}
