package fr.ensicaen.ecole.easygame.testClass;

import fr.ensicaen.ecole.easygame.state.Player;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.assertEquals;

/**
 * Class to test only accessors/mutators/constructors of Player.java
 *
 * @author gaveriaux
 */
public final class PlayerTest {

	public class DummyPlayer extends Player {

		private static final long serialVersionUID = 1L;

		public DummyPlayer(int id) {
			super(id, "p" + id);
		}
	}

	private Player _player;

	@Before
	/**
	 * Initialisation of a Player
	 */
	public void setup() {
		_player = new DummyPlayer(0);
	}

	/**
	 * Test if the initialisation of the ArrayList of entities is correct
	 */
	@Test
	public void testGetEntitiesBegin() {
		assertEquals(_player.getEntities().size(), 0);
	}
}
