package fr.ensicaen.ecole.easygame;

import java.io.IOException;
import java.io.InputStream;
import java.io.ObjectInputStream;
import java.io.ObjectStreamClass;

public final class SmarterObjectInputStream extends ObjectInputStream {

	private ClassLoader _loader;

	public SmarterObjectInputStream(InputStream in, ClassLoader loader) throws IOException {
		super(in);
		_loader = loader;
	}

	@Override
	protected Class<?> resolveClass(ObjectStreamClass desc) throws IOException, ClassNotFoundException {
		return Class.forName(desc.getName(), true, _loader);
	}
}
