package fr.ensicaen.ecole.easygame.gui;

import java.util.List;

import javax.swing.DefaultListModel;

import fr.ensicaen.ecole.easygame.state.Entity;

public final class EntityListModel extends DefaultListModel<Entity> {

	private static final long serialVersionUID = 1L;

	private List<Entity> _list = null;

	@Override
	public Entity getElementAt(int index) {
		if (_list == null) {
			return null;
		}

		if (index >= getSize()) {
			return null;
		}

		return _list.get(index);
	}

	@Override
	public int getSize() {
		if (_list == null) {
			return 0;
		}

		return _list.size();
	}

	public void setList(List<Entity> list) {
		_list = list;
	}
}
