package fr.ensicaen.ecole.easygame.messaging;

import fr.ensicaen.ecole.easygame.events.MouseClickEvent;

/**
 * Signals a mouse click has occurred on the game board.
 */
public final class MouseMessage implements Message {

	private MouseClickEvent _event;

	public MouseMessage(MouseClickEvent mouseClickEvent) {
		_event = mouseClickEvent;
	}

	/**
	 * @return The event associated to the mouse click.
	 */
	public MouseClickEvent getEvent() {
		return _event;
	}
}
