package fr.ensicaen.ecole.easygame.plugin;

import javax.swing.JLabel;
import javax.swing.JPanel;

import fr.ensicaen.ecole.easygame.Game;

/**
 * Plugin to display some text in the sidebar.
 */
public final class TextPlugin extends Plugin {

	private String _text;

	/**
	 * Constructs the plugin.
	 *
	 * @param game Current game.
	 * @param text Text to be displayed.
	 */
	public TextPlugin(Game game, String text) {
		super(game);
		_text = text;
	}

	@Override
	public JPanel buildUI() {
		JPanel panel = new JPanel();
		JLabel label = new JLabel(_text);

		panel.add(label);

		return panel;
	}
}
