package fr.ensicaen.ecole.easygame.state;

import java.util.List;

/**
 * Implements a descending-order player turns management.
 */
public final class DescendingPlayerOrder implements PlayerOrder {

	private static final long serialVersionUID = 1L;

	@Override
	public Player getNextPlayer(GameState gs, Player current) {
		List<Player> players = gs.getPlayers();
		int index = (players.indexOf(current) - 1 + players.size()) % players.size();

		return players.get(index);
	}
}
