package fr.ensicaen.ecole.easygame.state;

import java.awt.Graphics;

/**
 * Implements the function for drawing an object on screen.
 */
public interface Drawable {

	/**
	 * Draw the object on screen.
	 *
	 * @param g The graphics context to be used for rendering.
	 */
	void draw(Graphics g);
}
