package fr.ensicaen.ecole.guerredesmoutons;

import javax.swing.JLabel;
import javax.swing.JPanel;

import fr.ensicaen.ecole.easygame.Game;
import fr.ensicaen.ecole.easygame.plugin.Plugin;
import fr.ensicaen.ecole.easygame.state.GameState;

final class ColorPlugin extends Plugin {

	private JLabel _text;

	ColorPlugin(Game game) {
		super(game);
	}

	@Override
	public JPanel buildUI() {
		JPanel panel = new JPanel();
		GuerreMoutonsPlayer p = (GuerreMoutonsPlayer) getGame().getGameState().getCurrentPlayer();

		_text = new JLabel(p.getNameColor());
		panel.add(new JLabel("Votre couleur : "));
		panel.add(_text);

		return panel;
	}

	void update() {
		GameState gs = getGame().getGameState();

		if (getGame().getLocalPlayerId() == gs.getCurrentPlayer().getId()) {
			_text.setText(((GuerreMoutonsPlayer) gs.getCurrentPlayer()).getNameColor());
		}
	}
}
