package fr.ensicaen.ecole.guerredesmoutons;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JPanel;

import fr.ensicaen.ecole.easygame.Game;
import fr.ensicaen.ecole.easygame.plugin.Plugin;

class PassPlugin extends Plugin {

	PassPlugin(Game game) {
		super(game);
	}

	@Override
	public JPanel buildUI() {
		JPanel panel = new JPanel();
		JButton button = new JButton("Passer son tour");

		button.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent e) {
				getGame().endTurn();
				getGame().submitTurn();
			}
		});

		panel.add(button);
		return panel;
	}
}
