package fr.ensicaen.ecole.guerredesmoutons;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JPanel;

import fr.ensicaen.ecole.easygame.Game;
import fr.ensicaen.ecole.easygame.plugin.Plugin;

class ResignPlugin extends Plugin {

	ResignPlugin(Game game) {
		super(game);
	}

	@Override
	public JPanel buildUI() {
		JPanel panel = new JPanel();
		final JButton button = new JButton("Abandonner");

		button.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent e) {
				GuerreMoutonsGameState gs = (GuerreMoutonsGameState) getGame().getGameState();
				GuerreMoutonsPlayer p = (GuerreMoutonsPlayer) gs.getCurrentPlayer();

				if (p.getId() == getGame().getLocalPlayerId()) {
					p.leaveGame();
					gs.onGiveUpPlayer(p);
					getGame().endTurn();
					getGame().submitTurn();
					button.setEnabled(false);
				}
			}
		});

		panel.add(button);
		return panel;
	}
}
