package fr.ensicaen.ecole.morpion;

import java.util.Random;

import fr.ensicaen.ecole.easygame.AILogic;
import fr.ensicaen.ecole.easygame.Game;
import fr.ensicaen.ecole.easygame.state.Player;

public final class MorpionAILogic implements AILogic {

	@Override
	public void think(Game game, Player p) {
		MorpionBoard board = (MorpionBoard) game.getGameState().getBoard();
		Random r = new Random();
		int x, y;

		do {
			x = r.nextInt(3);
			y = r.nextInt(3);
		} while (board.getPlayerAt(x, y) != null);

		MorpionPiece piece = new MorpionPiece(p);
		board.getAt(x, y).addEntity(piece);
		game.endTurn();
	}
}