package fr.ensicaen.ecole.uno;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JPanel;

import fr.ensicaen.ecole.easygame.Game;
import fr.ensicaen.ecole.easygame.plugin.Plugin;

final class SwitchPlugin extends Plugin {

	public SwitchPlugin(Game game) {
		super(game);
	}

	@Override
	public JPanel buildUI() {
		JPanel panel = new JPanel();
		JButton button = new JButton("Changer la couleur");

		button.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent e) {
				UnoGameState gs = (UnoGameState) getGame().getGameState();
				UnoCard c = (UnoCard) gs.getCurrentPlayer().getInventory().getSelectedEntity();

				if (c == null) {
					return;
				}
				if (c.getType().equals(CardType.COLOR) || c.getType().equals(CardType.DRAW4)) {
					c.nextColor();
					gs.getCurrentPlayer().getInventory().updateView();
				}
			}
		});

		panel.add(button);
		return panel;
	}
}
