package fr.ensicaen.ecole.uno;

import fr.ensicaen.ecole.easygame.state.Player;

public final class UnoPlayer extends Player {

	private static final long serialVersionUID = 1L;
	private int _points = 0;
	private int _lastRoundPoints = 0;

	private boolean _canPlay = true;

	public UnoPlayer(int id, String nickname) {
		super(id, nickname);
	}

	public void switchCanPlay() {
		_canPlay = !_canPlay;
	}

	public boolean canPlay() {
		return _canPlay;
	}

	public int getPoints() {
		return _points;
	}
	
	public int getLastRoundPoints() {
		return _lastRoundPoints;
	}

	public void addPoints(int n) {
		_points += n;
		_lastRoundPoints = n;
	}

	public void setCanPlay() {
		_canPlay = true;
	}
}
