package net.kidanger.yourchess;

import java.util.Random;

import net.kidanger.yourchess.yourchess.coup.Coup;
import net.kidanger.yourchess.yourchess.ordinateur.Ordinateur;
import net.kidanger.yourchess.yourchess.ordinateur.OrdinateurIntelligent;
import net.kidanger.yourchess.yourchess.Partie;
import fr.ensicaen.ecole.easygame.AILogic;
import fr.ensicaen.ecole.easygame.Game;
import fr.ensicaen.ecole.easygame.state.Player;

public class SmartChessAILogic implements AILogic {

	private Random _rand = new Random();

	@Override
	public void think(Game game, Player player) {
		OrdinateurIntelligent.setTimeMax(_rand.nextInt(4000) + 1000);
		ChessGameState gs = (ChessGameState) game.getGameState();
		Partie partie = gs.getPartie();
		Ordinateur ai = new OrdinateurIntelligent(((ChessPlayer) player).getJoueur().getCouleur());
		ai.setPartie(partie);
		Coup coup = ai.jouerCoup();
		gs.play((ChessPlayer) player, coup);
	}
}
