package net.kidanger.yourchess.yourchess;

import java.io.Serializable;

public enum Couleur implements Serializable {

	blanc(0), noir(1);

	private int code;

	private Couleur(int code) {
		this.code = code;
	}

	public boolean isBlanc() {
		return code == 0;
	}

	public boolean isNoir() {
		return code == 1;
	}

	public Couleur other() {
		return isBlanc() ? noir : blanc;
	}

	public char toSmallString() {
		return (char) (code + '0');
	}

	public String toString() {
		return isBlanc() ? "blanc" : "noir";
	}

}
