package net.kidanger.yourchess.yourchess;

import java.io.Serializable;

public abstract class Joueur implements Jouer, Serializable {

	protected Partie partie;
	String nom;
	protected Couleur couleur;

	protected Joueur(String nom, Couleur couleur) {
		this.nom = nom;
		this.couleur = couleur;
	}

	public String getNom() {
		return nom;
	}

	public Couleur getCouleur() {
		return couleur;
	}

	public void setPartie(Partie p) {
		this.partie = p;
	}

	public boolean isHuman() {
		return false;
	}
}
