package net.kidanger.yourchess.yourchess.ordinateur;

import net.kidanger.yourchess.yourchess.Couleur;
import net.kidanger.yourchess.yourchess.Partie;

public class EvaluateurFinDePartie extends Evaluateur {

	public EvaluateurFinDePartie() {
	}

	public EvaluateurFinDePartie(Evaluateur e) {
		super(e);
	}

	public int evalue(Partie partie, Couleur c) {
		if (partie.estEchecEtMat(c)) {
			return -10000;
		}

		if (partie.estEchecEtMat(c.other())) {
			return 10000;
		}

		if (partie.estPartieNulle()) {
			return 0;
		}

		return parentEvalue(partie, c);
	}

	protected String getNom() {
		return "Fin";
	}
}
