package fr.ensicaen.ecole.easygame.testClass;

import java.awt.Dimension;

import fr.ensicaen.ecole.easygame.state.Board;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.assertEquals;

/**
 * Class to test only accessors/mutators/constructors of Board.java
 *
 * @author gaveriaux
 */
public final class BoardTest {

	public final class DummyBoard extends Board {

		private static final long serialVersionUID = 1L;

		@Override
		public Dimension getDimension() {
			return new Dimension(10, 10);
		}
	}

	private Board _board;

	@Before
	/**
	 * Initialisation of a Board
	 */
	public void setup() {
		_board = new DummyBoard();
	}

	/**
	 * Test of the constructor of Board
	 */
	@Test
	public void boardConstructorTest() {
		assertEquals(_board.getZones().size(), 0);
	}
}
